# Poco::Net::NTLMCredentials

# struct ChallengeMessage

Library: Net
Package: NTLM
Header: Poco/Net/NTLMCredentials.h

## Description

This message is sent back by the server and contains the NTLM challenge.

## Constructors

### ChallengeMessage

ChallengeMessage();

## Variables

### challenge

std::vector < unsigned char > challenge;

### flags

Poco::UInt32 flags;

### target

std::string target;

### targetInfo

std::vector < unsigned char > targetInfo;